*     _______________________________________ ..__
*    |    v2.1							  |
*    |      Visual FoxPRO		  |
*    |   FoxPRO.prg							  |
*    |____________________________________________________|
*    |   : 13.04.05,     11.02.04    |
*    |____________________________________________________|
* 13.04.05    

#DEFINE MAX_FIO_LEN 100
PRIVATE f,l,s
m.f=''
m.l=''
m.s=''
m.sex=''

DECLARE integer GetFIOPadeg IN padeg.dll;
	string pFirstName,;
	string pLastName,;
	string pMiddleName,;
	integer bSex,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen
	
DECLARE integer GetFIOPadegAS IN padeg.dll;
	string pFirstName,;
	string plastName,;
	string pMiddleName,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen

DECLARE integer GetFIOPadegFS IN padeg.dll;
	string pFIO,;
	integer bSex,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen

DECLARE integer GetFIOPadegFSAS IN padeg.dll;
	string pFIO,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen
	
DECLARE integer GetIFPadeg IN padeg.dll;
	string pFirstName,;
	string pLastName,;
	integer bSex,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen

DECLARE integer GetIFPadegFS IN padeg.dll;
	string pIF,;
	integer bSex,;
	integer nPadeg,;
	string @pResult,;
	integer @nLen
	
DECLARE integer GetNominativePadeg IN padeg.dll;
	string pFIO,;
	string @pResult,;
	integer @nLen

DECLARE integer GetAppointmentPadeg IN padeg.dll;
	String pAppointment,;
	Integer nPadeg,;
	String @ pResult,;
	Integer @ nLen

DECLARE integer GetFullAppointmentPadeg IN padeg.dll;
	String pAppointment,;
	String pOffice,;
	Integer nPadeg,;
	String @ pResult,;
	Integer @ nLen

DECLARE integer GetOfficePadeg IN padeg.dll;
	String pOffice,;
	Integer nPadeg,;
	String @ pResult,;
	Integer @ nLen

DECLARE integer GetSex IN padeg.dll;
	String pMiddleName
	
DECLARE integer GetPadegID IN padeg.dll;
	String pFIO

DECLARE integer GetFIOParts IN padeg.dll;
	String pFIO,;
	String @ Parts

DECLARE integer UpdateExceptions IN padeg.dll;

DECLARE integer GetExceptionsFileName IN padeg.dll;
	String @ pResult,; 
	Integer @ nLen

DECLARE integer SetDictionary IN padeg.dll;
	String FileName

*  ==============================   =================================
PRIVATE _l

CLEAR
FOR m.x=1 TO 6
	m._l=MAX_FIO_LEN
	m.str=SPACE(m._l)
	=getfiopadeg(m.f,m.l,m.s,IIF(m.sex='',1,0),m.x,@str,@_l)
	? '  = ',x,'  = ',SUBSTR(str,1,m._l)
ENDFOR

_cliptext=getif(m.l,m.f,IIF(m.sex='',1,0),2)

? 'GetFIO			=',getfio(m.f,m.l,m.s,IIF(m.sex='',1,0),2)
? 'GetFIOFromStr		=',getfiofromstr(f+' '+l+' '+s,IIF(m.sex='',1,0),2)
? 'GetIF			=',getif(m.l,m.f,IIF(m.sex='',1,0),2)
? 'GetIFFromStr		=',getiffromstr(m.l+' '+m.f,IIF(m.sex='',1,0),2)
? 'GetNominative		=',getnominative(getfio(m.f,m.l,m.s,IIF(m.sex='',1,0),2))

? 'GetAppointment	=',getAppointment('',2)
? 'GetFullAppointment	=',GetFullAppointment(' ','  ',2)
? 'GetOffice		=',getOffice('',2)

? 'GetSex		=',IIF(getsex(m.s)=0,'','')
? 'GetPadegID		=',getpadegid(getfio(m.f,m.l,m.s,IIF(m.sex='',1,0),2))

? 'UpdateExceptions	=',UpdateExceptions()#0
=SetDictionary(SYS(5)+SYS(2003)+'\Except.DIC')
? 'GetExceptionsFile	=',GetExceptionsFile()
*  ==========================================================================

FUNCTION GetFIO
LPARAMETERS pFirstName, plastName, pMiddleName, bSex, nPadeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=getfiopadeg(pFirstName, plastName, pMiddleName, bSex, nPadeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetFIOFromStr
LPARAMETERS pFIO, bSex, nPadeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=getFIOPadegFS(pFIO, bSex, nPadeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetIF
LPARAMETERS plastName, pFirstName, bSex, nPadeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
m.r=GetIFpadeg(plastName, pFirstName, bSex, nPadeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetIFFromStr
LPARAMETERS pIF, bSex, nPadeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=getIFPadegFS(pIF, bSex, nPadeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetNominative
LPARAMETERS pFIO
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=getnominativepadeg(pFIO, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetAppointment
LPARAMETERS Appointment,padeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=GetAppointmentPadeg(m.Appointment, m.padeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetFullAppointment
LPARAMETERS Appointment,office,padeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=GetFullAppointmentPadeg(m.Appointment, m.office, m.padeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetOffice
LPARAMETERS Office,padeg
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=GetOfficePadeg(m.Office, m.padeg, @result, @l)
RETURN SUBSTR(m.result,1,m.l)

FUNCTION GetExceptionsFile
PRIVATE result, l
m.l=MAX_FIO_LEN
m.result=REPLICATE(CHR(0),m.l)
=GetExceptionsFileName(@result, @l)
RETURN SUBSTR(m.result,1,m.l)
